<% if (flash && flash.error) { %>
    <p style="color: red;"><%= flash.error %></p>
<% } %>
<form method="POST">
  email: <input name="email"><br>
  password: <input type="password" name="password"><br>
  <button>Sign in</button>
  <br>
</form>
<br>
<form method="POST">
  <fb:login-button 
  scope="public_profile,email"
  onlogin=" myCallbackFunction();"
  >
  </fb:login-button>
  <button onclick="FB.login()">Facebook Login</button>
</form>
